Package org.apache.ignite.internal.processors.cache.distributed.dht.preloader

## Class FinishPreloadingTask

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.AbstractCachePartitionExchangeWorkerTask
  - - org.apache.ignite.internal.processors.cache.distributed.dht.preloader.FinishPreloadingTask

All Implemented Interfaces:
  `CachePartitionExchangeWorkerTask`

    public class FinishPreloadingTask
    extends AbstractCachePartitionExchangeWorkerTask

A task for finishing preloading future in exchange worker thread.

### Constructor Summary

Constructors
`FinishPreloadingTask​(SecurityContext secCtx, AffinityTopologyVersion topVer, int grpId, long rebalanceId)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `groupId()`
`long` `rebalanceId()`
`boolean` `skipForExchangeMerge()`
`AffinityTopologyVersion` `topologyVersion()`

### Methods inherited from class org.apache.ignite.internal.processors.cache.AbstractCachePartitionExchangeWorkerTask

`securityContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FinishPreloadingTask

    public FinishPreloadingTask​(SecurityContext secCtx,
                                AffinityTopologyVersion topVer,
                                int grpId,
                                long rebalanceId)

Parameters:
  `secCtx` - Security context in which current task must be executed.
  `topVer` - Topology version.

### Method Detail

#### skipForExchangeMerge

    public boolean skipForExchangeMerge()

Returns:
  `False` if exchange merge should stop if this task is found in exchange worker queue.

#### topologyVersion

    public AffinityTopologyVersion topologyVersion()

Returns:
  Topology version.

#### groupId

    public int groupId()

Returns:
  Group id.

#### rebalanceId

    public long rebalanceId()

Returns:
  Rebalance id.